using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("postal_dest"), PrimaryKey("CountryNum", "Id")]
    public class PostalDest {
        [Column("country")]
        public int CountryNum { get; private set; }

        [Column("id")]
        public string Id { get; private set; } = null!;

        [ForeignKey("CountryNum")]
        public virtual Country Country { get; private set; } = null!;

        [ForeignKey("Id")]
        public virtual AT_PlzDest? AtPlz { get; private set; }
    }
}
